<?xml version='1.0' encoding='utf-8' ?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml"
	indent="yes"
	encoding="utf-8"
	doctype-system="Exception_MS_B02_00.dtd"/>

<!-- Parameters -->
<xsl:param name="ExceptionCode"/>
<xsl:param name="ErrorDescription"/>
<xsl:param name="OffendingComponent"/>
<xsl:param name="ExceptionTypeCode"/>

<!-- Build the Receipt exception payload -->
<xsl:template match="/">
<Exception>
	<ExceptionDescription>
		<errorClassification>
			<GlobalMessageExceptionCode><xsl:value-of select="$ExceptionCode"/></GlobalMessageExceptionCode>
		</errorClassification>
		<errorDescription>
			<FreeFormText></FreeFormText>
		</errorDescription>
		<xsl:choose>
		<xsl:when test="$OffendingComponent!=''">
		<offendingMessageComponent>
		   <GlobalMessageComponentCode><xsl:value-of select="$OffendingComponent"/></GlobalMessageComponentCode>
		</offendingMessageComponent>
		</xsl:when>
		</xsl:choose>
	</ExceptionDescription>
	<GlobalExceptionTypeCode><xsl:value-of select="$ExceptionTypeCode"/></GlobalExceptionTypeCode>
</Exception>
</xsl:template>

</xsl:stylesheet>
<!-- Stylus Studio meta-information - (c)1998-2001 eXcelon Corp.
<metaInformation>
<scenarios ><scenario default="yes" name="Service Header" url="file://c:\Development\SourceIntegrity\rosettanet\test\data\rosettanet\ServiceHeader2_0.xml" htmlbaseurl="" processortype="internal" commandline="" additionalpath="" additionalclasspath="" ><parameterValue name="ExceptionCode" value="&quot;UNP.SHDR.VALERR&quot;"/><parameterValue name="OffendingComponent" value="&quot;ServiceHeader&quot;"/><parameterValue name="ExceptionTypeCode" value="&quot;Receipt Acknowledgement Exception&quot;"/></scenario></scenarios><MapperInfo  srcSchemaPath="" srcSchemaRoot="" destSchemaPath="" destSchemaRoot="" />
</metaInformation>
-->
