<?xml version='1.0' encoding='utf-8' ?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:output method="xml"
	indent="yes"
	encoding="utf-8"
	doctype-system="ServiceHeader_MS_B02_00.dtd"/>

<!-- Parameters -->
<xsl:param name="OriginalMessageId"/>
<xsl:param name="SignalCode"/>

<!--Generate Acknowledgement XML-->
<xsl:template match="/">
<ServiceHeader>
	<ProcessControl>
		<ActivityControl>
			<xsl:copy-of select="/ServiceHeader/ProcessControl/ActivityControl/BusinessActivityIdentifier"/>
			<MessageControl>
				<fromRole>
					<xsl:copy-of select="/ServiceHeader/ProcessControl/ActivityControl/MessageControl/toRole/GlobalPartnerRoleClassificationCode"/>
				</fromRole>
				<fromService>
					<xsl:copy-of select="/ServiceHeader/ProcessControl/ActivityControl/MessageControl/toService/GlobalBusinessServiceCode"/>
				</fromService>
				<inReplyTo>
					<ActionControl>
						<xsl:copy-of select="/ServiceHeader/ProcessControl/ActivityControl/MessageControl/Manifest/ServiceContentControl/ActionIdentity"/>
						<messageTrackingID>
							<InstanceIdentifier>
								<xsl:value-of select="$OriginalMessageId"/>
							</InstanceIdentifier>
						</messageTrackingID>
					</ActionControl>
				</inReplyTo>
				<Manifest>
					<numberOfAttachments><CountableAmount>0</CountableAmount></numberOfAttachments>
					<ServiceContentControl>
						<SignalIdentity>
							<GlobalBusinessSignalCode><xsl:value-of select="$SignalCode"/></GlobalBusinessSignalCode>
							<VersionIdentifier>V02.00</VersionIdentifier>
						</SignalIdentity>
					</ServiceContentControl>
				</Manifest>
				<toRole>
					<xsl:copy-of select="/ServiceHeader/ProcessControl/ActivityControl/MessageControl/fromRole/GlobalPartnerRoleClassificationCode"/>
				</toRole>
				<toService>
					<xsl:copy-of select="/ServiceHeader/ProcessControl/ActivityControl/MessageControl/fromService/GlobalBusinessServiceCode"/>
				</toService>
			</MessageControl>
		</ActivityControl>
		<xsl:copy-of select="/ServiceHeader/ProcessControl/GlobalUsageCode"/>
		<xsl:copy-of select="/ServiceHeader/ProcessControl/partnerDefinedPIPPayloadBindingId"/>
		<xsl:copy-of select="/ServiceHeader/ProcessControl/pipCode"/>
		<xsl:copy-of select="/ServiceHeader/ProcessControl/pipInstanceId"/>
		<xsl:copy-of select="/ServiceHeader/ProcessControl/pipVersion"/>
		<xsl:copy-of select="/ServiceHeader/ProcessControl/KnownInitiatingPartner"/>
	</ProcessControl>
</ServiceHeader>
</xsl:template>

</xsl:stylesheet>
<!-- Stylus Studio meta-information - (c)1998-2001 eXcelon Corp.
<metaInformation>
<scenarios ><scenario default="yes" name="Test" url="file://c:\Development\SourceIntegrity\rosettanet\test\data\rosettanet\ServiceHeader2_0.xml" htmlbaseurl="" processortype="internal" commandline="" additionalpath="" additionalclasspath=""/></scenarios><MapperInfo  srcSchemaPath="" srcSchemaRoot="" destSchemaPath="" destSchemaRoot="" />
</metaInformation>
-->
